CacheVmConfig (Apache Geode 2.0.2)
Description: declaration: package: org.apache.geode.admin, interface: CacheVmConfig

Package org.apache.geode.admin

# Interface CacheVmConfig

All Superinterfaces:
  `Cloneable`, `ManagedEntityConfig`

All Known Subinterfaces:
  `CacheServerConfig`

@Deprecated public interface CacheVmConfig extends ManagedEntityConfig
Deprecated.
as of 7.0 use the `management` package instead
Configuration for a GemFire cache server VM that is managed by the administration API. The VM may or may not be running.

Since:
  GemFire 5.7
See Also:
  - `AdminDistributedSystem.addCacheVm()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getCacheXMLFile()`
  Deprecated.
  Returns the `cache.xml` declarative caching initialization file used to configure this cache server VM.
  `String`
  `getClassPath()`
  Deprecated.
  Returns the location(s) of user classes (such as cache loaders) required by the cache server VM.
  `void`
  `setCacheXMLFile(String cacheXml)`
  Deprecated.
  Sets the `cache.xml` declarative caching initialization file used to configure this cache server VM.
  `void`
  `setClassPath(String classpath)`
  Deprecated.
  Sets the location(s) of user classes (such as cache loaders) required by the cache server VM.

  ### Methods inherited from interface org.apache.geode.admin.ManagedEntityConfig

  `clone, getHost, getProductDirectory, getRemoteCommand, getWorkingDirectory, setHost, setProductDirectory, setRemoteCommand, setWorkingDirectory, validate`

- ## Method Details

  - ### getCacheXMLFile

    String getCacheXMLFile()
    Deprecated.
    Returns the `cache.xml` declarative caching initialization file used to configure this cache server VM. By default, a cache server VM is started without an XML file.
    Returns:
      the `cache.xml` declarative caching initialization file used to configure this cache server VM

  - ### setCacheXMLFile

    void setCacheXMLFile(String cacheXml)
    Deprecated.
    Sets the `cache.xml` declarative caching initialization file used to configure this cache server VM.
    Parameters:
      `cacheXml` - the `cache.xml` declarative caching initialization file used to configure this cache server VM

  - ### getClassPath

    String getClassPath()
    Deprecated.
    Returns the location(s) of user classes (such as cache loaders) required by the cache server VM.
    Returns:
      the location(s) of user classes (such as cache loaders) required by the cache server VM

  - ### setClassPath

    void setClassPath(String classpath)
    Deprecated.
    Sets the location(s) of user classes (such as cache loaders) required by the cache server VM.
    Parameters:
      `classpath` - the location(s) of user classes (such as cache loaders) required by the cache server VM